LAT_UDP(8)

NAME
lat_udp - measure interprocess communication latency via UDP/IP

SYNOPSIS
lat_udp -s

lat_udp hostname

lat_udp -hostname

DESCRIPTION
lat_udp is a client/server program that measures interprocess communication latencies. The benchmark passes a token back and forth between the two processes (this sort of benchmark is frequently referred to as a ``hot potato'' benchmark). No other work is done in the processes.

lat_udp has three forms of usage: as a server (-s), as a client (lat_udp localhost), and as a shutdown (lat_udp -localhost).

OUTPUT
The reported time is in microseconds per round trip and includes the total time, i.e., the context switching overhead is included. Output format is like so

UDP latency using localhost: 650 microseconds

ACKNOWLEDGEMENT
Funding for the development of this tool was provided by Sun Microsystems Computer Corporation.

SEE ALSO
lmbench(8).